using System;

internal sealed class Delegate422 : MulticastDelegate
{
	public extern void Invoke(object object_0, double double_0);

	public static void smethod_0(object object_0, double double_0, Delegate422 delegate422_1)
	{
		delegate422_1(object_0, double_0);
	}

	public extern Delegate422(object object_0, IntPtr intptr_0);

	static Delegate422()
	{
		Class10.smethod_13(typeof(Delegate422).TypeHandle);
	}

	internal static Delegate422 delegate422_0;
}
